summaryrefslogtreecommitdiffstats
path: root/.gitlab-ci/build-cts-runner.sh
diff options
context:
space:
mode:
Diffstat (limited to '.gitlab-ci/build-cts-runner.sh')
-rw-r--r--.gitlab-ci/build-cts-runner.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/.gitlab-ci/build-cts-runner.sh b/.gitlab-ci/build-cts-runner.sh
new file mode 100644
index 00000000000..2622819f2e5
--- /dev/null
+++ b/.gitlab-ci/build-cts-runner.sh
@@ -0,0 +1,10 @@
+#!/bin/bash
+
+set -ex
+
+git clone https://github.com/anholt/cts_runner.git --depth 1 -b anholt-mesa-ci-2
+cd cts_runner
+meson build/
+ninja -C build -j4 install
+cd ..
+rm -rf cts_runner